Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SNA LU62 API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.snalu62.api
Class SNAConstants.SNAProcessingModes

    java.lang.Object
      com.stc.connector.snalu62.api.SNAConstants.SNAProcessingModes

Enclosing class:
  SNAConstants

    public static class SNAConstants.SNAProcessingModes

extends java.lang.Object

`SNAProcessingModes` class represents all processing mode:

  `CM_BLOCKING`
  `CM_NON_BLOCKING`

Version:
  cvs revision: $Revision: 1.3 $ Last Modified: $Date: 2007/12/12 00:11:32 $
Author:
  Harry Liu (harryliu@seebeyond.com)

Field Summary
`static int` | `CM_BLOCKING`
`static int` | `CM_NON_BLOCKING`

Constructor Summary
`SNAConstants.SNAProcessingModes()`

Method Summary
`static int` | `getCM_BLOCKING()`
`static int` | `getCM_NON_BLOCKING()`
`static java.lang.String` | `getProcessingModeString(int processingMode)` Returns the processingMode as String

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CM_BLOCKING

    public static final int CM_BLOCKING

See Also:
  Constant Field Values

### CM_NON_BLOCKING

    public static final int CM_NON_BLOCKING

See Also:
  Constant Field Values

Constructor Detail

### SNAConstants.SNAProcessingModes

    public SNAConstants.SNAProcessingModes()

Method Detail

### getCM_BLOCKING

    public static final int getCM_BLOCKING()

  Returns:
    CM_BLOCKING

### getCM_NON_BLOCKING

    public static final int getCM_NON_BLOCKING()

  Returns:
    CM_NON_BLOCKING

### getProcessingModeString

    public static final java.lang.String getProcessingModeString(int processingMode)

  Returns the processingMode as String

  Parameters:
    `processingMode` - The processingMode in int
  Returns:
    The processingMode as String

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SNA LU62 API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.